import os
from docx import Document

def convert_directory_to_txt(input_directory, output_directory):
    for root, dirs, files in os.walk(input_directory):
        for file in files:
            if file.endswith(".docx"):
                docx_file = os.path.join(root, file)
                relative_path = os.path.relpath(docx_file, input_directory)
                output_subdirectory = os.path.join(output_directory, os.path.dirname(relative_path))
                os.makedirs(output_subdirectory, exist_ok=True)
                output_file = os.path.join(output_subdirectory, os.path.splitext(file)[0] + ".txt")

                # Convert .docx to text
                doc = Document(docx_file)
                text_content = "\n".join([paragraph.text for paragraph in doc.paragraphs])

                # Write text content to file
                with open(output_file, "w", encoding="utf-8") as txt_file:
                    txt_file.write(text_content)

                print(f"Converted {docx_file} to {output_file}")

# Specify the input and output directory paths
input_directory = "input"
output_directory = "output-txt"

convert_directory_to_txt(input_directory, output_directory)
